﻿using System;
using System.Collections.Generic;
using System.Text;
using SlimDX;
using SlimDX.DirectInput;

namespace PolledDevices
{
    /// <summary>
    /// 
    /// </summary>
    public class PolledKeyboardEventArgs : System.EventArgs
    {
        /// <summary>
        /// 
        /// </summary>
        public SlimDX.DirectInput.KeyboardState State;
        
        /// <summary>
        /// 
        /// </summary>
        public SlimDX.DirectInput.Key Key;

        /// <summary>
        /// 
        /// </summary>
        /// <param name="s"></param>
        public PolledKeyboardEventArgs(KeyboardState s)
            : this(s, 0)
        {
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="s"></param>
        /// <param name="k"></param>
        public PolledKeyboardEventArgs(KeyboardState s, Key k)
        {
            this.State = s;
            this.Key = k;
        }
    }

    /// <summary>
    /// 
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    public delegate void PolledKeyboardEventHandler(object sender, PolledKeyboardEventArgs e);
}
